package javafxevents1a;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.stage.Stage;

/**
 * Demo of a JavaFX form with a Button and a Click event handler.
 * 
 * @author Prof. Carl B. Struck
 * @version Copyright (c) SCCC Fall 2014 - SCCC West 
 */
public class JavaFXEvents1a extends Application 
{
    @Override
    public void start(Stage primaryStage) 
    {
        Button button = new Button();
        button.setText("Click the Button");
        
        ButtonEventHandler eventHandler = new ButtonEventHandler();
        button.setOnAction(eventHandler);
        
        Scene scene = new Scene(button, 300, 250);
        
        primaryStage.setTitle("JavaFX Events");
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    /**
     * The main() method is ignored in correctly deployed JavaFX application.
     * main() serves only as fallback in case the application can not be
     * launched through deployment artifacts, e.g., in IDEs with limited FX
     * support. NetBeans ignores main().
     *
     * @param args the String[] array command line parameter
     */
    public static void main(String[] args) 
    {
        launch(args);
    }
 
}
